Fatal Error with Latest WordPress Update

The error -- "fatal error... wp-content/plugins/events-and-bookings/lib/default_filters.php on line 122"

We have Events+ installed (1.8.1) and it worked marvelously well. I got notification that WordPress updated to 4.2.4 and, then received an email that our sermons page was throwing an error. The sermons page is a custom template page with the Dunamis Theme. The page is working now that I deactivated the Events+ plug-in.
* I plan to do further plug-in compatibility testing tonight (I'd rather not break the site in the middle of the day). I'll post an update of my results here.

--For reference--
The sermons page: http://www.flcgainesville.org/media/sermons/
The Dunamis theme page: http://themeforest.net/item/dunamis-modern-church-theme/8703175